import request from '@/utils/request'

// 查询荔枝app-公告类型记录列表
export function listLzydNoticeGenre(query) {
  return request({
    url: '/system/LzydNoticeGenre/list',
    method: 'get',
    params: query
  })
}

// 查询荔枝app-公告类型记录详细
export function getLzydNoticeGenre(id) {
  return request({
    url: '/system/LzydNoticeGenre/' + id,
    method: 'get'
  })
}

// 新增荔枝app-公告类型记录
export function addLzydNoticeGenre(data) {
  return request({
    url: '/system/LzydNoticeGenre',
    method: 'post',
    data: data
  })
}

// 修改荔枝app-公告类型记录
export function updateLzydNoticeGenre(data) {
  return request({
    url: '/system/LzydNoticeGenre',
    method: 'put',
    data: data
  })
}

// 删除荔枝app-公告类型记录
export function delLzydNoticeGenre(id) {
  return request({
    url: '/system/LzydNoticeGenre/' + id,
    method: 'delete'
  })
}

// 导出荔枝app-公告类型记录
export function exportLzydNoticeGenre(query) {
  return request({
    url: '/system/LzydNoticeGenre/export',
    method: 'get',
    params: query
  })
}